## org.apache.batik.transcoder.image
Interface TIFFTranscoder.WriteAdapter

All Known Implementing Classes:
  TIFFTranscoderImageIOWriteAdapter, TIFFTranscoderInternalCodecWriteAdapter

Enclosing class:
  TIFFTranscoder

    public static interface TIFFTranscoder.WriteAdapter

This interface is used by `TIFFTranscoder` to write TIFF images through different codecs.

Method Summary
`void` `writeImage(TIFFTranscoder transcoder, java.awt.image.BufferedImage img, TranscoderOutput output)` Writes the specified image to the specified output.

Method Detail

### writeImage

    void writeImage(TIFFTranscoder transcoder,
                    java.awt.image.BufferedImage img,
                    TranscoderOutput output)
                    throws TranscoderException

  Writes the specified image to the specified output.

  Parameters:
    `transcoder` - the calling PNGTranscoder
    `img` - the image to write
    `output` - the output where to store the image
  Throws:
    `TranscoderException` - if an error occured while storing the image

Copyright © 2008 Apache Software Foundation. All Rights Reserved.